/*!
 * Custom elements for Nanopore-Digital Web applications
 */
import { h } from "@stencil/core";
/**
 * @deprecated - you can now use `grid-states="..."`
 * on any direct `nano-grid` descendent without limitation rendering `nano-grid-item` obsolete.
 *
 * Grid items to be used with [grid](/story/nano-components-grid) elements
 */
export class GridItem {
    /**
     * How to position this item within it's parent grid at different break points. Examples:
     * xl-col-span-2
     * l-col-start-2
     * xxl-row-span-2
     * m-row-start-2
     */
    render() {
        return h("slot", { key: '9a50a1034bd70b2d0c461f01acdb6b0484e492d3' });
    }
    static get is() { return "nano-grid-item"; }
    static get encapsulation() { return "shadow"; }
    static get styles() { return ":host { display: inline-block; }"; }
}
